pcl::PointWithViewpoint Struct Reference
Module common

A point structure representing Euclidean xyz coordinates together with the viewpoint from which it was seen. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointWithViewpoint:

## Public Member Functions

| PointWithViewpoint (const _PointWithViewpoint &p)
| PointWithViewpoint (float _x=0.0f, float _y=0.0f, float _z=0.0f, float _vp_x=0.0f, float _vp_y=0.0f, float _vp_z=0.0f)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointWithViewpoint &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointWithViewpoint
| PCL_ADD_POINT4D
union {
struct {
float vp_x
float vp_y
float vp_z
} |
float data_c [4]
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates together with the viewpoint from which it was seen.

Definition at line 1111 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointWithViewpoint() [1/2]

pcl::PointWithViewpoint::PointWithViewpoint | ( | const _PointWithViewpoint & | p | ) |

inline

Definition at line 1113 of file point_types.hpp.

References pcl::_PointWithViewpoint::vp_x, pcl::_PointWithViewpoint::vp_y, and pcl::_PointWithViewpoint::vp_z.

## PointWithViewpoint() [2/2]

pcl::PointWithViewpoint::PointWithViewpoint | ( | float | _x = `0.0f`,
|  | float | _y = `0.0f`,
|  | float | _z = `0.0f`,
|  | float | _vp_x = `0.0f`,
|  | float | _vp_y = `0.0f`,
|  | float | _vp_z = `0.0f`
| ) |  |

inline

Definition at line 1119 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointWithViewpoint & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp